package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.ProjectStatistics;
import com.lightinit.hsdatashow.entity.ProjectStatisticsExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel2;
import org.apache.ibatis.annotations.Param;

public interface ProjectStatisticsMapper {
    long countByExample(ProjectStatisticsExample example);

    int deleteByExample(ProjectStatisticsExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ProjectStatistics record);

    int insertSelective(ProjectStatistics record);

    List<ProjectStatistics> selectByExample(ProjectStatisticsExample example);

    ProjectStatistics selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ProjectStatistics record, @Param("example") ProjectStatisticsExample example);

    int updateByExample(@Param("record") ProjectStatistics record, @Param("example") ProjectStatisticsExample example);

    int updateByPrimaryKeySelective(ProjectStatistics record);

    int updateByPrimaryKey(ProjectStatistics record);

    List<ChartModel2> getProjectAnalysis();
}